PR_GET_THP_DISABLE(2const)

NAME
PR_GET_THP_DISABLE - get the state of the "THP disable" flag for the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_THP_DISABLE, 0L, 0L, 0L, 0L);

DESCRIPTION
Return the current setting of the "THP disable" flag for the calling thread: either 1, if the flag is set, or 0, if it is not.

RETURN VALUE
On success, PR_GET_THP_DISABLE, returns the boolean value described above. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 3.15.

SEE ALSO
prctl(2), PR_SET_THP_DISABLE(2const)